package com.jz.common.interceptor;

import java.util.Collection;

import org.springframework.security.access.AccessDecisionManager;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.access.ConfigAttribute;
import org.springframework.security.authentication.InsufficientAuthenticationException;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.stereotype.Component;

/** 
* @ClassName: MyAccessDecisionManager 
* @Description: TODO(这里用一句话描述这个类的作用) 
* @author ybz 
* @date 2017年12月15日 下午5:16:30 
*  
*/
@Component
public class MyAccessDecisionManager implements AccessDecisionManager {

	
	/* (非 Javadoc) 
	* <p>Title: decide</p> 
	* <p>Description: </p> 
	* @param arg0
	* @param arg1
	* @param arg2
	* @throws AccessDeniedException
	* @throws InsufficientAuthenticationException 
	* @see org.springframework.security.access.AccessDecisionManager#decide(org.springframework.security.core.Authentication, java.lang.Object, java.util.Collection) 
	*/
	//decide 方法是判定是否拥有权限的决策方法。
	//authentication 是UserDetailService实现中循环添加到GrantedAuthority对象中的权限信息集合
	//object 包含客户端发起的请求的request信息，可转换为 HttpServletRequest request = ((FilterInvocation)object).getHttpRequest();
	//configAttribute 为MyInvocationSecurityMetadataSource的getAttributes(Object object)这个方法返回的结果，此方法是为了判定用户请求的url
	//是否在权限表中，如果在权限表中，则返回给decide方法，用来判定用户是否有此权限。如过不在权限表中则放行。
	@Override
	public void decide(Authentication authentication, Object object, Collection<ConfigAttribute> configAttributes)
			throws AccessDeniedException, InsufficientAuthenticationException {
		if (configAttributes==null || configAttributes.size()<=0) {
			return ;
		}
		
		String needRole;
		for (ConfigAttribute configAttribute : configAttributes) {
			needRole = configAttribute.getAttribute();
			for (GrantedAuthority grantedAuthority : authentication.getAuthorities()) {
				if (needRole.trim().equals(grantedAuthority.getAuthority())) {
					return ;
				}
			}
		}
		
		throw new AccessDeniedException("no right");
		
	}

	@Override
	public boolean supports(ConfigAttribute attribute) {
		// TODO Auto-generated method stub
		return true;
	}

	@Override
	public boolean supports(Class<?> clazz) {
		// TODO Auto-generated method stub
		return true;
	}

}
