package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @ClassName: TaskListPageReq
 * @Description: 离线任务列表参数对象
 * @Author：Bellamy
 * @Date 2020/12/21
 * @Version 1.0
 */
@ApiModel(value = "离线同步--任务列表请求参数对象", description = "任务列表请求参数对象")
public class TaskListPageReq extends BasePageBean {
    /*
    * 项目ID
    * */
    @NotNull(message = "项目ID不能空")
    @NotEmpty(message = "项目ID不能空")
    @ApiModelProperty(value = "项目ID")
    private String projectId;

    /*
     * 创建人
     * */
    @ApiModelProperty(value = "创建人")
    private String createUserId;

    /*
     * 任务名称
     * */
    @ApiModelProperty(value = "任务名称")
    private String treeName;

//    /*
//     * 父类ID
//     * */
//    @ApiModelProperty(value = "父类ID")
//    private String parentId;
//
//    /*
//     * 源数据库id
//     * */
//    @ApiModelProperty(value = "源数据库id")
//    private String sourceDbId;
//
//    /*
//     * 目标数据库id
//     * */
//    @ApiModelProperty(value = "目标数据库id")
//    private String targetDbId;
//
//    /*
//     * 目标数据库名称
//     * */
//    @ApiModelProperty(value = "目标数据库名称")
//    private String targetDbName;
//
//    /*
//     * 源数据库表名称
//     * */
//    @ApiModelProperty(value = "源数据库表")
//    private String sourceTableName;
//
//    /*
//     * 目标数据库表名称
//     * */
//    @ApiModelProperty(value = "目标数据库表")
//    private String targetTableName;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }
}
